Skip to main content
GET
/
locations
/
{id}
Retrieve a location
curl --request GET \
  --url https://api.flatpeak.com/locations/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "loc_641b90b758fb8e6293716e40",
  "object": "location",
  "live_mode": true,
  "time_created": "2023-11-07T05:31:56Z",
  "account_id": "acc_661677911f2197045e6cf1b1",
  "reference_id": "LOC1234567890",
  "customer_id": "cus_65e421d1daa4a24082b4f590",
  "timezone": "Europe/London",
  "currency_code": "EUR",
  "flex_allowed": true,
  "postal_address": {
    "address_line1": "1-3",
    "address_line2": "Strand",
    "city": "London",
    "state": "NSW",
    "post_code": "WC2N 5EH",
    "country_code": "GB"
  },
  "geo_location": {
    "lat": 50.12345,
    "lng": -1.23456
  },
  "market_sources": {
    "import": "mrs_65792b4ef61b16685ebd2ec1",
    "export": "<string>"
  },
  "tariff_status": {
    "commodity_import": "CONNECTED",
    "commodity_export": "ERROR",
    "non_commodity_import": "NOT_CONNECTED",
    "non_commodity_export": "NOT_SUPPORTED",
    "local": "NOT_SUPPORTED"
  },
  "tariff_elements": [
    "trf_66ba584eb6923d7c3b942ef6"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.flatpeak.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate with bearer you obtained from authentication endpoint.

Path Parameters

id
string
required

Flatpeak location_id

Example:

"loc_d47751032d2748d2bce8ec55b2006def"

Response

Response example

This object represents a supply address.

id
string
required

Flatpeak unique location ID

Example:

"loc_641b90b758fb8e6293716e40"

object
string
required

Represents the object’s type. I.e. location.

Example:

"location"

live_mode
boolean
required

Has the value true if the object exists in live mode or the value false if the object exists in test mode.

time_created
string<date-time>
required

Time when the object was created, in UTC.

account_id
string
required

Flatpeak account ID.

Example:

"acc_661677911f2197045e6cf1b1"

reference_id
string

A reference that is meaningful to you, for example, an ID from your system.

Example:

"LOC1234567890"

customer_id
string

Flatpeak customer ID.

Example:

"cus_65e421d1daa4a24082b4f590"

timezone
string

The timezone at the location, in 'tz database format'. I.e. 'Europe/Berlin'.

Example:

"Europe/London"

currency_code
string

Currency at the location in ISO 4217.

Example:

"EUR"

flex_allowed
boolean
default:true

When false, devices at this location cannot be subscribed to third party flexibility.

This parameter is in beta and is not enabled by default for all accounts. Contact support@flatpeak.com if you would like early access.

postal_address
PostalAddress · object

Information on the postal address.

geo_location
GeoLocation · object

Latitude and longitude of the location. Flatpeak resolves this automatically using the postal_address that you provide. This information is used to determine market price and carbon regions.

market_sources
object

Flatpeak IDs for market rates geographical regions. Flatpeak sets this automatically using the postal_address. For more information and to resolve IDs to region names, see the market rates reference in docs.ference in docs.

tariff_status
object

Health status of tariff.

tariff_elements
string[]

An array of tariffs that apply to this location. To manage, use the tariffs endpoints.